ページの本文へ

Hitachi

ソフトウェア製品セキュリティ情報

2017.07.10 更新

Cosminexus HTTP Server, Hitachi Web Serverに脆弱性(CVE-2014-3566)が存在します。

脆弱性ID

HS15-014

脆弱性の内容

Cosminexus HTTP Server,Hitachi Web Serverに,脆弱性(CVE-2014-3566)が存在します。

影響を受けるバージョンを下記に示しますので,対策版の適用または,下記[対応策]の実施をお願いいたします。
なお,SSL機能を使用していない場合は,本脆弱性は発生しません。

対象製品

(凡例)
対象製品名 : 脆弱性が含まれる製品名

対象バージョン :

プラットフォーム
脆弱性が含まれるバージョン

対象製品名 : Cosminexus HTTP Server

対象バージョン :

AIX, HP-UX(IPF), Linux(x64), Windows, Windows(x64)
すべてのバージョン

対象製品名 : Hitachi Web Server

対象バージョン :

AIX,HP-UX, HP-UX(IPF),Linux,Linux(IPF),Linux(x64),Solaris,Solaris(x64),Windows,Windows(x64)
すべてのバージョン

対象製品名 : Hitachi Web Server - Security Enhancement

対象バージョン :

HP-UX(IPF)
すべてのバージョン

また本問題は,Cosminexus HTTP Server,Hitachi Web Serverを構成製品とする,日立製品にも該当します。Cosminexus製品で影響を受けるバージョンを下記に示します。Cosminexus製品に含まれるCosminexus HTTP Server,Hitachi Web Serverのバージョン,及びCosminexus製品の対策バージョンについては,サポートサービス窓口へご相談願います。

■Cosminexus V9

対象製品名 : uCosminexus Developer
対象製品名 : uCosminexus Application Server
対象製品名 : uCosminexus Application Server(64)
対象製品名 : uCosminexus Service Platform
対象製品名 : uCosminexus Service Platform(64)
対象製品名 : uCosminexus Service Architect
対象製品名 : uCosminexus Application Server-R
対象製品名 : uCosminexus Primary Server Base
対象製品名 : uCosminexus Primary Server Base(64)

対象バージョン :

AIX, HP-UX(IPF), Linux(x64), Windows, Windows(x64)
全てのバージョン

■Cosminexus V8

対象製品名 : uCosminexus Application Server Express
対象製品名 : uCosminexus Application Server Smart Edition
対象製品名 : uCosminexus Developer 01
対象製品名 : uCosminexus Application Server Standard
対象製品名 : uCosminexus Application Server Enterprise
対象製品名 : uCosminexus Service Platform
対象製品名 : uCosminexus Service Architect
対象製品名 : uCosminexus Application Server Standard-R
対象製品名 : uCosminexus Developer Standard
対象製品名 : uCosminexus Developer Professional
対象製品名 : uCosminexus Primary Server Base
対象製品名 : uCosminexus Developer Professional for Plug-in

対象バージョン :

AIX, HP-UX(IPF), Linux, Linux(IPF), Solaris, Solaris(x64), Windows, Windows(x64)
全てのバージョン

■Cosminexus V7

対象製品名 : uCosminexus Application Server Standard
対象製品名 : uCosminexus Developer Standard
対象製品名 : uCosminexus Developer Professional
対象製品名 : uCosminexus Application Server Enterprise
対象製品名 : uCosminexus Application Server Smart Edition
対象製品名 : uCosminexus Primary Server Base
対象製品名 : uCosminexus Service Platform
対象製品名 : uCosminexus Service Platform - Messaging
対象製品名 : uCosminexus Service Architect

対象バージョン :

AIX, HP-UX, HP-UX(IPF), Linux, Linux(IPF), Solaris, Windows
全てのバージョン

■Cosminexus V6.7

対象製品名 : uCosminexus Developer Light
対象製品名 : uCosminexus Developer Standard
対象製品名 : uCosminexus Application Server Standard
対象製品名 : uCosminexus Developer Professional
対象製品名 : uCosminexus Application Server Enterprise

対象バージョン :

AIX, HP-UX, HP-UX(IPF), Linux, Linux(IPF), Solaris, Windows
全てのバージョン

■Cosminexus V6.0, V6.5

対象製品名 : Cosminexus Developer Light Version 6
対象製品名 : Cosminexus Developer Standard Version 6
対象製品名 : Cosminexus Primary Server Version 6
対象製品名 : Cosminexus Application Server Standard Version 6
対象製品名 : Cosminexus Developer Professional Version 6
対象製品名 : Cosminexus Application Server Enterprise Version 6
対象製品名 : Cosminexus Primary Server Base Version 6
対象製品名 : uCosminexus Primary Server Base

対象バージョン :

AIX, HP-UX, HP-UX(IPF), Linux, Linux(IPF), Solaris, Windows
全てのバージョン

■Cosminexus V5.0, V5.5

対象製品名 : Cosminexus Application Server Version 5
対象製品名 : Cosminexus Developer Version 5

対象バージョン :

AIX, HP-UX, Linux, Solaris, Windows
全てのバージョン

■Hitachi Application Server

対象製品名 : Hitachi Application Server
対象製品名 : Hitachi Application Server for Developers

対象バージョン :

AIX, Linux(x64), Windows, Windows(x64)
全てのバージョン

対策版の提供

(凡例)
対象製品名 : 脆弱性の対策済み製品名

対策バージョン :

プラットフォーム
脆弱性の対策バージョン 対策版提供日

対象製品名 : Cosminexus HTTP Server

対策バージョン :

AIX
09-00-51 2017.03.22
HP-UX(IPF)
09-00-51 2017.04.06
Linux(x64)
09-65-50 2016.10.03
09-00-52 2017.06.27
Windows
09-00-51 2016.12.01
Windows(x64)
09-00-51 2017.01.26
サポートサービスをご契約されているお客様
サポートサービスの改良版の提供についてのホームページをご参照いただき,ホームページでご案内している手順にしたがって,対策版をご入手ください。
サポートサービスをご契約されていないお客様
当該製品に関しては,ライセンス管理を適切に行なう必要があるため,お手数ですが,お問い合わせフォームから提供をご依頼ください。ご依頼時には,お問い合わせ内容に「脆弱性ID」,「ご利用中の製品情報(製品名,バージョン,プラットフォーム,製番)」をご記入願います。

対応策

この脆弱性に対して下記の対応策を実施願います。

Cosminexus HTTP Server,Hitachi Web ServerのSSLプロトコルの設定で,TLS1.0以降のみを使用するようにしてください。
以下にSSLProtocolディレクティブの設定例を示します。

Cosminexus HTTP Serverの場合
SSLProtocol TLSv1 TLSv11 TLSv12
Hitachi Web Server (V1 から V4)の場合
SSLProtocol TLSv1
Hitachi Web Server (V10)の場合
SSLProtocol TLSv1 TLSv11 TLSv12

なお,Hitachi Web Server (V1 から V4)は,TLS1.1以降のプロトコルをサポートしておりません。
TLS1.1またはTLS1.2(SHA2)の使用をご希望になる場合は,後継製品であるCosminexus HTTP Serverへの移行をご検討ください。

更新履歴

2017.07.10
[対策版の提供]を更新しました。
2017.04.14
[対策版の提供]を更新しました。
2017.02.03
[対策版の提供]を更新しました。
2016.12.12
[対策版の提供]を更新しました。
2015.04.15
このセキュリティ情報ページを新規作成および発信しました。
  • 弊社では,セキュリティ対応に関して正確な情報を提供するよう努力しておりますが,セキュリティ問題に関する情報は変化しており,当ホームページで記載している内容を予告なく変更することがありますので,あらかじめご了承ください。情報ご参照の際には,常に最新の情報をご確認いただくようお願いします。
  • 当ホームページに記載されている製品には,他社開発製品が含まれております。これらのセキュリティ情報については他社から提供,または公開された情報を基にしております。弊社では,情報の正確性および完全性について注意を払っておりますが,開発元の状況変化に伴い,当ホームページの記載内容に変更が生じることがあります。
  • 当ホームページはセキュリティ情報の提供を目的としたものであり,法律上の責任を負うものではありません。お客様が独自に行なった(あるいは行なわなかった)セキュリティ対応その他のご行為の結果につきまして,弊社では責任を負いかねます。
  • 当ホームページから他サイトのページへのリンクアドレスは情報発信時のものです。他サイトでの変更などを発見した場合には,リンク切れ等にならないように努力はいたしますが,永続的にリンク先を保証するものではありません。